diff --git a/databases/akonadi/pkg-plist b/databases/akonadi/pkg-plist
index c6654533d25d..4fc37cb7942a 100644
--- a/databases/akonadi/pkg-plist
+++ b/databases/akonadi/pkg-plist
@@ -379,125 +367,168 @@ share/icons/hicolor/64x64/apps/akonadi.png
 share/icons/hicolor/scalable/apps/akonadi.svgz
 share/kdevappwizard/templates/akonadiresource.tar.bz2
 share/kdevappwizard/templates/akonadiserializer.tar.bz2
-share/kf5/akonadi/akonadi-xml.xsd
-share/kf5/akonadi/kcfg2dbus.xsl
-share/kf5/akonadi_knut_resource/knut-template.xml
+share/kf6/akonadi/akonadi-xml.xsd
+share/kf6/akonadi/kcfg2dbus.xsl
+share/kf6/akonadi_knut_resource/knut-template.xml
 share/locale/ar/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ar/LC_MESSAGES/libakonadi5.mo
+share/locale/ar/LC_MESSAGES/libakonadi6.mo
+share/locale/ast/LC_MESSAGES/akonadi-db-migrator.mo
+share/locale/ast/LC_MESSAGES/akonadi_knut_resource.mo
+share/locale/ast/LC_MESSAGES/libakonadi6.mo
 share/locale/az/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/az/LC_MESSAGES/libakonadi5.mo
-share/locale/be/LC_MESSAGES/libakonadi5.mo
+share/locale/az/LC_MESSAGES/libakonadi6.mo
+share/locale/be/LC_MESSAGES/libakonadi6.mo
+share/locale/bg/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/bg/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/bg/LC_MESSAGES/libakonadi5.mo
+share/locale/bg/LC_MESSAGES/libakonadi6.mo
 share/locale/bs/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/bs/LC_MESSAGES/libakonadi5.mo
+share/locale/bs/LC_MESSAGES/libakonadi6.mo
+share/locale/ca/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/ca/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ca/LC_MESSAGES/libakonadi5.mo
+share/locale/ca/LC_MESSAGES/libakonadi6.mo
+share/locale/ca@valencia/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/ca@valencia/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ca@valencia/LC_MESSAGES/libakonadi5.mo
+share/locale/ca@valencia/LC_MESSAGES/libakonadi6.mo
+share/locale/cs/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/cs/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/cs/LC_MESSAGES/libakonadi5.mo
+share/locale/cs/LC_MESSAGES/libakonadi6.mo
 share/locale/da/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/da/LC_MESSAGES/libakonadi5.mo
+share/locale/da/LC_MESSAGES/libakonadi6.mo
+share/locale/de/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/de/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/de/LC_MESSAGES/libakonadi5.mo
+share/locale/de/LC_MESSAGES/libakonadi6.mo
+share/locale/el/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/el/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/el/LC_MESSAGES/libakonadi5.mo
+share/locale/el/LC_MESSAGES/libakonadi6.mo
+share/locale/en_GB/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/en_GB/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/en_GB/LC_MESSAGES/libakonadi5.mo
+share/locale/en_GB/LC_MESSAGES/libakonadi6.mo
+share/locale/eo/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/eo/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/eo/LC_MESSAGES/libakonadi5.mo
+share/locale/eo/LC_MESSAGES/libakonadi6.mo
+share/locale/es/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/es/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/es/LC_MESSAGES/libakonadi5.mo
+share/locale/es/LC_MESSAGES/libakonadi6.mo
 share/locale/et/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/et/LC_MESSAGES/libakonadi5.mo
+share/locale/et/LC_MESSAGES/libakonadi6.mo
+share/locale/eu/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/eu/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/eu/LC_MESSAGES/libakonadi5.mo
+share/locale/eu/LC_MESSAGES/libakonadi6.mo
+share/locale/fi/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/fi/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/fi/LC_MESSAGES/libakonadi5.mo
+share/locale/fi/LC_MESSAGES/libakonadi6.mo
+share/locale/fr/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/fr/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/fr/LC_MESSAGES/libakonadi5.mo
+share/locale/fr/LC_MESSAGES/libakonadi6.mo
 share/locale/ga/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ga/LC_MESSAGES/libakonadi5.mo
+share/locale/ga/LC_MESSAGES/libakonadi6.mo
+share/locale/gl/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/gl/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/gl/LC_MESSAGES/libakonadi5.mo
-share/locale/hsb/LC_MESSAGES/libakonadi5.mo
+share/locale/gl/LC_MESSAGES/libakonadi6.mo
+share/locale/he/LC_MESSAGES/akonadi-db-migrator.mo
+share/locale/he/LC_MESSAGES/akonadi_knut_resource.mo
+share/locale/hsb/LC_MESSAGES/libakonadi6.mo
+share/locale/hu/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/hu/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/hu/LC_MESSAGES/libakonadi5.mo
+share/locale/hu/LC_MESSAGES/libakonadi6.mo
+share/locale/ia/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/ia/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ia/LC_MESSAGES/libakonadi5.mo
+share/locale/ia/LC_MESSAGES/libakonadi6.mo
+share/locale/id/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/id/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/id/LC_MESSAGES/libakonadi5.mo
+share/locale/id/LC_MESSAGES/libakonadi6.mo
+share/locale/is/LC_MESSAGES/akonadi_knut_resource.mo
+share/locale/it/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/it/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/it/LC_MESSAGES/libakonadi5.mo
+share/locale/it/LC_MESSAGES/libakonadi6.mo
+share/locale/ja/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/ja/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ja/LC_MESSAGES/libakonadi5.mo
+share/locale/ja/LC_MESSAGES/libakonadi6.mo
+share/locale/ka/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/ka/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ka/LC_MESSAGES/libakonadi5.mo
+share/locale/ka/LC_MESSAGES/libakonadi6.mo
 share/locale/kk/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/kk/LC_MESSAGES/libakonadi5.mo
+share/locale/kk/LC_MESSAGES/libakonadi6.mo
 share/locale/km/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/km/LC_MESSAGES/libakonadi5.mo
+share/locale/km/LC_MESSAGES/libakonadi6.mo
+share/locale/ko/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/ko/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ko/LC_MESSAGES/libakonadi5.mo
+share/locale/ko/LC_MESSAGES/libakonadi6.mo
+share/locale/lt/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/lt/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/lt/LC_MESSAGES/libakonadi5.mo
+share/locale/lt/LC_MESSAGES/libakonadi6.mo
+share/locale/lv/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/lv/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/lv/LC_MESSAGES/libakonadi5.mo
-share/locale/mai/LC_MESSAGES/libakonadi5.mo
+share/locale/lv/LC_MESSAGES/libakonadi6.mo
+share/locale/mai/LC_MESSAGES/libakonadi6.mo
 share/locale/mr/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/mr/LC_MESSAGES/libakonadi5.mo
+share/locale/mr/LC_MESSAGES/libakonadi6.mo
 share/locale/my/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/my/LC_MESSAGES/libakonadi5.mo
+share/locale/my/LC_MESSAGES/libakonadi6.mo
 share/locale/nb/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/nb/LC_MESSAGES/libakonadi5.mo
+share/locale/nb/LC_MESSAGES/libakonadi6.mo
 share/locale/nds/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/nds/LC_MESSAGES/libakonadi5.mo
+share/locale/nds/LC_MESSAGES/libakonadi6.mo
+share/locale/nl/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/nl/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/nl/LC_MESSAGES/libakonadi5.mo
+share/locale/nl/LC_MESSAGES/libakonadi6.mo
 share/locale/nn/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/nn/LC_MESSAGES/libakonadi5.mo
+share/locale/nn/LC_MESSAGES/libakonadi6.mo
+share/locale/pa/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/pa/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/pa/LC_MESSAGES/libakonadi5.mo
+share/locale/pa/LC_MESSAGES/libakonadi6.mo
+share/locale/pl/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/pl/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/pl/LC_MESSAGES/libakonadi5.mo
+share/locale/pl/LC_MESSAGES/libakonadi6.mo
 share/locale/pt/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/pt/LC_MESSAGES/libakonadi5.mo
+share/locale/pt/LC_MESSAGES/libakonadi6.mo
+share/locale/pt_BR/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/pt_BR/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/pt_BR/LC_MESSAGES/libakonadi5.mo
+share/locale/pt_BR/LC_MESSAGES/libakonadi6.mo
 share/locale/ro/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ro/LC_MESSAGES/libakonadi5.mo
+share/locale/ro/LC_MESSAGES/libakonadi6.mo
+share/locale/ru/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/ru/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ru/LC_MESSAGES/libakonadi5.mo
-share/locale/se/LC_MESSAGES/libakonadi5.mo
+share/locale/ru/LC_MESSAGES/libakonadi6.mo
+share/locale/se/LC_MESSAGES/libakonadi6.mo
+share/locale/sk/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/sk/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/sk/LC_MESSAGES/libakonadi5.mo
+share/locale/sk/LC_MESSAGES/libakonadi6.mo
+share/locale/sl/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/sl/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/sl/LC_MESSAGES/libakonadi5.mo
+share/locale/sl/LC_MESSAGES/libakonadi6.mo
 share/locale/sq/LC_MESSAGES/akonadi_knut_resource.mo
 share/locale/sr/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/sr/LC_MESSAGES/libakonadi5.mo
+share/locale/sr/LC_MESSAGES/libakonadi6.mo
 share/locale/sr@ijekavian/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libakonadi5.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libakonadi6.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi5.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi6.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/sr@latin/LC_MESSAGES/libakonadi5.mo
+share/locale/sr@latin/LC_MESSAGES/libakonadi6.mo
+share/locale/sv/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/sv/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/sv/LC_MESSAGES/libakonadi5.mo
+share/locale/sv/LC_MESSAGES/libakonadi6.mo
+share/locale/ta/LC_MESSAGES/akonadi-db-migrator.mo
+share/locale/ta/LC_MESSAGES/akonadi_knut_resource.mo
+share/locale/ta/LC_MESSAGES/libakonadi6.mo
 share/locale/tg/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/tg/LC_MESSAGES/libakonadi5.mo
-share/locale/th/LC_MESSAGES/libakonadi5.mo
+share/locale/tg/LC_MESSAGES/libakonadi6.mo
+share/locale/th/LC_MESSAGES/libakonadi6.mo
+share/locale/tr/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/tr/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/tr/LC_MESSAGES/libakonadi5.mo
+share/locale/tr/LC_MESSAGES/libakonadi6.mo
 share/locale/ug/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/ug/LC_MESSAGES/libakonadi5.mo
+share/locale/ug/LC_MESSAGES/libakonadi6.mo
+share/locale/uk/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/uk/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/uk/LC_MESSAGES/libakonadi5.mo
+share/locale/uk/LC_MESSAGES/libakonadi6.mo
+share/locale/zh_CN/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/zh_CN/LC_MESSAGES/libakonadi5.mo
+share/locale/zh_CN/LC_MESSAGES/libakonadi6.mo
+share/locale/zh_TW/LC_MESSAGES/akonadi-db-migrator.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_knut_resource.mo
-share/locale/zh_TW/LC_MESSAGES/libakonadi5.mo
+share/locale/zh_TW/LC_MESSAGES/libakonadi6.mo
 share/mime/packages/akonadi-mime.xml
-share/qlogging-categories5/akonadi.categories
-share/qlogging-categories5/akonadi.renamecategories
+share/qlogging-categories6/akonadi.categories
+share/qlogging-categories6/akonadi.renamecategories
diff --git a/databases/futuresql/Makefile b/databases/futuresql/Makefile
index 2098a65c2059..2e3c3ac3d535 100644
--- a/databases/futuresql/Makefile
+++ b/databases/futuresql/Makefile
@@ -1,6 +1,6 @@
 PORTNAME=	futuresql
 DISTVERSION=	0.1.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases kde
 MASTER_SITES=	KDE/stable/${PORTNAME}/
 
@@ -8,10 +8,9 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Non-blocking database framework for Qt
 WWW=		https://api.kde.org/futuresql/html/index.html
 
-USES=		cmake kde:5 qt:5 tar:xz
+USES=		cmake kde:6 qt:6 tar:xz
 
 USE_KDE=	ecm:build
-USE_QT=		core sql \
-		buildtools:build qmake:build
+USE_QT=		base
 
 .include <bsd.port.mk>
diff --git a/databases/futuresql/pkg-plist b/databases/futuresql/pkg-plist
index 6457ddacee70..8a2bf2352144 100644
--- a/databases/futuresql/pkg-plist
+++ b/databases/futuresql/pkg-plist
@@ -1,10 +1,10 @@
-include/FutureSQL5/ThreadedDatabase
-include/FutureSQL5/futuresql_export.h
-include/FutureSQL5/threadeddatabase.h
-include/FutureSQL5/threadeddatabase_p.h
-lib/cmake/FutureSQL5/FutureSQL5Config.cmake
-lib/cmake/FutureSQL5/FutureSQL5ConfigVersion.cmake
-lib/cmake/FutureSQL5/FutureSQLTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/FutureSQL5/FutureSQLTargets.cmake
-lib/libfuturesql5.so
-lib/libfuturesql5.so.0
+include/FutureSQL6/ThreadedDatabase
+include/FutureSQL6/futuresql_export.h
+include/FutureSQL6/threadeddatabase.h
+include/FutureSQL6/threadeddatabase_p.h
+lib/cmake/FutureSQL6/FutureSQL6Config.cmake
+lib/cmake/FutureSQL6/FutureSQL6ConfigVersion.cmake
+lib/cmake/FutureSQL6/FutureSQLTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/FutureSQL6/FutureSQLTargets.cmake
+lib/libfuturesql6.so
+lib/libfuturesql6.so.0
diff --git a/deskutils/Makefile b/deskutils/Makefile
index fa148a183c4a..809d038269a6 100644
--- a/deskutils/Makefile
+++ b/deskutils/Makefile
@@ -214,9 +214,6 @@
     SUBDIR += pipecolor
     SUBDIR += plan
     SUBDIR += plans
-    SUBDIR += plasma5-milou
-    SUBDIR += plasma5-sddm-kcm
-    SUBDIR += plasma5-xdg-desktop-portal-kde
     SUBDIR += plasma6-milou
     SUBDIR += plasma6-sddm-kcm
     SUBDIR += plasma6-xdg-desktop-portal-kde
diff --git a/deskutils/akonadi-calendar-tools/Makefile b/deskutils/akonadi-calendar-tools/Makefile
index d215113ba994..ed5064d38e32 100644
--- a/deskutils/akonadi-calendar-tools/Makefile
+++ b/deskutils/akonadi-calendar-tools/Makefile
@@ -8,18 +8,17 @@ WWW=		https://www.kde.org/
 
 LIB_DEPENDS=	libical.so:devel/libical
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash guiaddons i18n iconthemes itemmodels \
-		itemviews jobwidgets kdelibs4support kio notifications parts \
-		service solid sonnet textwidgets unitconversion widgetsaddons \
-		windowsystem xmlgui \
+		itemviews jobwidgets kio notifications parts service solid \
+		sonnet textwidgets unitconversion widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadicalendar calendarsupport calendarcore calendarutils \
-		identitymanagement libkdepim mime pimtextedit
-USE_QT=		core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_KDE+=	akonadi akonadicalendar calendarcore calendarsupport \
+		calendarutils identitymanagement libkdepim mime pimtextedit
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/deskutils/akonadi-calendar-tools/distinfo b/deskutils/akonadi-calendar-tools/distinfo
index b98f371bf5b9..c212fc77ec1f 100644
--- a/deskutils/akonadi-calendar-tools/distinfo
+++ b/deskutils/akonadi-calendar-tools/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889444
-SHA256 (KDE/release-service/23.08.5/akonadi-calendar-tools-23.08.5.tar.xz) = 83bb42484096a86922dae11381bd19ffec71b4a5906ce806ec2a59ca425880aa
-SIZE (KDE/release-service/23.08.5/akonadi-calendar-tools-23.08.5.tar.xz) = 255924
+TIMESTAMP = 1734460033
+SHA256 (KDE/release-service/24.12.0/akonadi-calendar-tools-24.12.0.tar.xz) = fb5531c8d7a4c415e063bc6ccf6211541c1fd8ae040f0fb47486168a771d1040
+SIZE (KDE/release-service/24.12.0/akonadi-calendar-tools-24.12.0.tar.xz) = 269360
diff --git a/deskutils/akonadi-calendar-tools/pkg-plist b/deskutils/akonadi-calendar-tools/pkg-plist
index 195630b63b13..aaa1b0f2bc68 100644
--- a/deskutils/akonadi-calendar-tools/pkg-plist
+++ b/deskutils/akonadi-calendar-tools/pkg-plist
@@ -8,6 +8,8 @@ share/icons/hicolor/32x32/apps/konsolekalendar.png
 share/icons/hicolor/48x48/apps/konsolekalendar.png
 share/locale/ar/LC_MESSAGES/calendarjanitor.mo
 share/locale/ar/LC_MESSAGES/konsolekalendar.mo
+share/locale/ast/LC_MESSAGES/calendarjanitor.mo
+share/locale/ast/LC_MESSAGES/konsolekalendar.mo
 share/locale/az/LC_MESSAGES/calendarjanitor.mo
 share/locale/az/LC_MESSAGES/konsolekalendar.mo
 share/locale/be/LC_MESSAGES/konsolekalendar.mo
@@ -31,6 +33,7 @@ share/locale/el/LC_MESSAGES/calendarjanitor.mo
 share/locale/el/LC_MESSAGES/konsolekalendar.mo
 share/locale/en_GB/LC_MESSAGES/calendarjanitor.mo
 share/locale/en_GB/LC_MESSAGES/konsolekalendar.mo
+share/locale/eo/LC_MESSAGES/calendarjanitor.mo
 share/locale/eo/LC_MESSAGES/konsolekalendar.mo
 share/locale/es/LC_MESSAGES/calendarjanitor.mo
 share/locale/es/LC_MESSAGES/konsolekalendar.mo
@@ -47,6 +50,7 @@ share/locale/fy/LC_MESSAGES/konsolekalendar.mo
 share/locale/ga/LC_MESSAGES/konsolekalendar.mo
 share/locale/gl/LC_MESSAGES/calendarjanitor.mo
 share/locale/gl/LC_MESSAGES/konsolekalendar.mo
+share/locale/he/LC_MESSAGES/calendarjanitor.mo
 share/locale/he/LC_MESSAGES/konsolekalendar.mo
 share/locale/hi/LC_MESSAGES/calendarjanitor.mo
 share/locale/hi/LC_MESSAGES/konsolekalendar.mo
@@ -72,6 +76,8 @@ share/locale/ko/LC_MESSAGES/calendarjanitor.mo
 share/locale/ko/LC_MESSAGES/konsolekalendar.mo
 share/locale/lt/LC_MESSAGES/calendarjanitor.mo
 share/locale/lt/LC_MESSAGES/konsolekalendar.mo
+share/locale/lv/LC_MESSAGES/calendarjanitor.mo
+share/locale/lv/LC_MESSAGES/konsolekalendar.mo
 share/locale/mk/LC_MESSAGES/konsolekalendar.mo
 share/locale/mr/LC_MESSAGES/konsolekalendar.mo
 share/locale/ms/LC_MESSAGES/konsolekalendar.mo
@@ -101,6 +107,7 @@ share/locale/sl/LC_MESSAGES/konsolekalendar.mo
 share/locale/sq/LC_MESSAGES/konsolekalendar.mo
 share/locale/sv/LC_MESSAGES/calendarjanitor.mo
 share/locale/sv/LC_MESSAGES/konsolekalendar.mo
+share/locale/ta/LC_MESSAGES/calendarjanitor.mo
 share/locale/ta/LC_MESSAGES/konsolekalendar.mo
 share/locale/tg/LC_MESSAGES/konsolekalendar.mo
 share/locale/tr/LC_MESSAGES/calendarjanitor.mo
@@ -115,5 +122,5 @@ share/locale/zh_CN/LC_MESSAGES/calendarjanitor.mo
 share/locale/zh_CN/LC_MESSAGES/konsolekalendar.mo
 share/locale/zh_TW/LC_MESSAGES/calendarjanitor.mo
 share/locale/zh_TW/LC_MESSAGES/konsolekalendar.mo
-share/qlogging-categories5/console.categories
-share/qlogging-categories5/console.renamecategories
+share/qlogging-categories6/console.categories
+share/qlogging-categories6/console.renamecategories
diff --git a/deskutils/akonadi-import-wizard/Makefile b/deskutils/akonadi-import-wizard/Makefile
index b40108e58d2d..7b8d9314730c 100644
--- a/deskutils/akonadi-import-wizard/Makefile
+++ b/deskutils/akonadi-import-wizard/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	akonadi-import-wizard
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,20 +10,20 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5 \
-		libqt5keychain.so:security/qtkeychain@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6 \
+		libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
-		crash dbusaddons i18n itemmodels kio service wallet \
-		widgetsaddons xmlgui \
+		crash dbusaddons i18n itemmodels kio service texttemplate \
+		wallet widgetsaddons xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadimime contacts grantleetheme \
-		identitymanagement imap libkdepim libkleo mailcommon mailimporter \
-		mailtransport messagelib mime pimcommon pimtextedit
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+		identitymanagement imap libkdepim libkleo mailcommon \
+		mailimporter mailtransport messagelib mime pimcommon \
+		pimtextedit
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/deskutils/akonadi-import-wizard/distinfo b/deskutils/akonadi-import-wizard/distinfo
index 4abd89eeb0a7..4de1e6a73afc 100644
--- a/deskutils/akonadi-import-wizard/distinfo
+++ b/deskutils/akonadi-import-wizard/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889429
-SHA256 (KDE/release-service/23.08.5/akonadi-import-wizard-23.08.5.tar.xz) = 3cc996bc0436eaa61cac4730624ce5096efdbd0dd57d4e91689e81c5d6994da6
-SIZE (KDE/release-service/23.08.5/akonadi-import-wizard-23.08.5.tar.xz) = 515068
+TIMESTAMP = 1734460035
+SHA256 (KDE/release-service/24.12.0/akonadi-import-wizard-24.12.0.tar.xz) = e5abdaff722ab35d35afef63e12ccdc8ca37d464db3f73f383cf839557f641a8
+SIZE (KDE/release-service/24.12.0/akonadi-import-wizard-24.12.0.tar.xz) = 491896
diff --git a/deskutils/akonadi-import-wizard/pkg-plist b/deskutils/akonadi-import-wizard/pkg-plist
index 568ab851d330..987bf7425061 100644
--- a/deskutils/akonadi-import-wizard/pkg-plist
+++ b/deskutils/akonadi-import-wizard/pkg-plist
@@ -1,45 +1,42 @@
 bin/akonadiimportwizard
-include/KPim5/ImportWizard/ImportWizard/AbstractAddressBook
-include/KPim5/ImportWizard/ImportWizard/AbstractBase
-include/KPim5/ImportWizard/ImportWizard/AbstractCalendar
-include/KPim5/ImportWizard/ImportWizard/AbstractDisplayInfo
-include/KPim5/ImportWizard/ImportWizard/AbstractImporter
-include/KPim5/ImportWizard/ImportWizard/AbstractSettings
-include/KPim5/ImportWizard/ImportWizard/ImportWizardUtil
-include/KPim5/ImportWizard/importwizard/abstractaddressbook.h
-include/KPim5/ImportWizard/importwizard/abstractbase.h
-include/KPim5/ImportWizard/importwizard/abstractcalendar.h
-include/KPim5/ImportWizard/importwizard/abstractdisplayinfo.h
-include/KPim5/ImportWizard/importwizard/abstractimporter.h
-include/KPim5/ImportWizard/importwizard/abstractsettings.h
-include/KPim5/ImportWizard/importwizard/importwizardutil.h
-include/KPim5/ImportWizard/importwizard/libimportwizard_export.h
-include/KPim5/ImportWizard/importwizard_version.h
-lib/cmake/KPim5ImportWizard/KPim5ImportWizardConfig.cmake
-lib/cmake/KPim5ImportWizard/KPim5ImportWizardConfigVersion.cmake
-lib/cmake/KPim5ImportWizard/KPim5ImportWizardTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5ImportWizard/KPim5ImportWizardTargets.cmake
-lib/cmake/KPimImportWizard/KPim5ImportWizardTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPimImportWizard/KPim5ImportWizardTargets.cmake
-lib/cmake/KPimImportWizard/KPimImportWizardConfig.cmake
-lib/cmake/KPimImportWizard/KPimImportWizardConfigVersion.cmake
-lib/libKPim5ImportWizard.so
-lib/libKPim5ImportWizard.so.5
-lib/libKPim5ImportWizard.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_PLUGINDIR%%/pim5/importwizard/balsaimporterplugin.so
-%%QT_PLUGINDIR%%/pim5/importwizard/clawsmailimporterplugin.so
-%%QT_PLUGINDIR%%/pim5/importwizard/evolutionv3importerplugin.so
-%%QT_PLUGINDIR%%/pim5/importwizard/icedoveimporterplugin.so
-%%QT_PLUGINDIR%%/pim5/importwizard/seamonkeyimporterplugin.so
-%%QT_PLUGINDIR%%/pim5/importwizard/sylpheedimporterplugin.so
-%%QT_PLUGINDIR%%/pim5/importwizard/thunderbirdimporterplugin.so
-%%QT_PLUGINDIR%%/pim5/importwizard/trojitaimporterplugin.so
+include/KPim6/ImportWizard/ImportWizard/AbstractAddressBook
+include/KPim6/ImportWizard/ImportWizard/AbstractBase
+include/KPim6/ImportWizard/ImportWizard/AbstractCalendar
+include/KPim6/ImportWizard/ImportWizard/AbstractDisplayInfo
+include/KPim6/ImportWizard/ImportWizard/AbstractImporter
+include/KPim6/ImportWizard/ImportWizard/AbstractSettings
+include/KPim6/ImportWizard/ImportWizard/ImportWizardUtil
+include/KPim6/ImportWizard/importwizard/abstractaddressbook.h
+include/KPim6/ImportWizard/importwizard/abstractbase.h
+include/KPim6/ImportWizard/importwizard/abstractcalendar.h
+include/KPim6/ImportWizard/importwizard/abstractdisplayinfo.h
+include/KPim6/ImportWizard/importwizard/abstractimporter.h
+include/KPim6/ImportWizard/importwizard/abstractsettings.h
+include/KPim6/ImportWizard/importwizard/importwizardutil.h
+include/KPim6/ImportWizard/importwizard/libimportwizard_export.h
+include/KPim6/ImportWizard/importwizard_version.h
+lib/cmake/KPim6ImportWizard/KPim6ImportWizardConfig.cmake
+lib/cmake/KPim6ImportWizard/KPim6ImportWizardConfigVersion.cmake
+lib/cmake/KPim6ImportWizard/KPim6ImportWizardTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6ImportWizard/KPim6ImportWizardTargets.cmake
+lib/libKPim6ImportWizard.so
+lib/libKPim6ImportWizard.so.6
+lib/libKPim6ImportWizard.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/pim6/importwizard/balsaimporterplugin.so
+%%QT_PLUGINDIR%%/pim6/importwizard/clawsmailimporterplugin.so
+%%QT_PLUGINDIR%%/pim6/importwizard/evolutionv3importerplugin.so
+%%QT_PLUGINDIR%%/pim6/importwizard/icedoveimporterplugin.so
+%%QT_PLUGINDIR%%/pim6/importwizard/seamonkeyimporterplugin.so
+%%QT_PLUGINDIR%%/pim6/importwizard/sylpheedimporterplugin.so
+%%QT_PLUGINDIR%%/pim6/importwizard/thunderbirdimporterplugin.so
+%%QT_PLUGINDIR%%/pim6/importwizard/trojitaimporterplugin.so
 share/applications/org.kde.akonadiimportwizard.desktop
 share/icons/hicolor/128x128/apps/kontact-import-wizard.png
 share/icons/hicolor/256x256/apps/kontact-import-wizard.png
 share/icons/hicolor/64x64/apps/kontact-import-wizard.png
 share/importwizard/pics/step1.png
 share/locale/ar/LC_MESSAGES/akonadiimportwizard.mo
+share/locale/ast/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/az/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/bg/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/bs/LC_MESSAGES/akonadiimportwizard.mo
@@ -50,6 +47,7 @@ share/locale/da/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/de/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/el/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/en_GB/LC_MESSAGES/akonadiimportwizard.mo
+share/locale/eo/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/es/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/et/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/eu/LC_MESSAGES/akonadiimportwizard.mo
@@ -57,8 +55,10 @@ share/locale/fi/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/fr/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/ga/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/gl/LC_MESSAGES/akonadiimportwizard.mo
+share/locale/he/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/hu/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/ia/LC_MESSAGES/akonadiimportwizard.mo
+share/locale/id/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/it/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/ja/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/ka/LC_MESSAGES/akonadiimportwizard.mo
@@ -66,6 +66,7 @@ share/locale/kk/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/km/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/ko/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/lt/LC_MESSAGES/akonadiimportwizard.mo
+share/locale/lv/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/mr/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/nb/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/nds/LC_MESSAGES/akonadiimportwizard.mo
@@ -84,5 +85,5 @@ share/locale/ug/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/uk/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/zh_CN/LC_MESSAGES/akonadiimportwizard.mo
 share/locale/zh_TW/LC_MESSAGES/akonadiimportwizard.mo
-share/qlogging-categories5/importwizard.categories
-share/qlogging-categories5/importwizard.renamecategories
+share/qlogging-categories6/importwizard.categories
+share/qlogging-categories6/importwizard.renamecategories
diff --git a/deskutils/akonadiconsole/Makefile b/deskutils/akonadiconsole/Makefile
index 9bde59d12bf0..b3d688f6d308 100644
--- a/deskutils/akonadiconsole/Makefile
+++ b/deskutils/akonadiconsole/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	akonadiconsole
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -13,24 +12,23 @@ LIB_DEPENDS=	libassuan.so:security/libassuan  \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5 \
+		libqgpgmeqt6.so:security/gpgme-qt@qt6 \
 		libical.so:devel/libical \
 		libxapian.so:databases/xapian-core
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons guiaddons i18n iconthemes \
-		itemmodels itemviews jobwidgets kdelibs4support kio \
-		notifications parts service solid sonnet textwidgets \
-		unitconversion widgetsaddons windowsystem xmlgui \
+		itemmodels itemviews jobwidgets kio notifications parts \
+		service solid sonnet textwidgets unitconversion widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicalendar akonadicontacts akonadimime \
 		akonadisearch calendarcore calendarsupport contacts \
-		grantleetheme identitymanagement libkdepim libkleo messagelib mime \
-		pimcommon pimtextedit
-USE_QT=		concurrent core dbus gui network printsupport sql widgets xml \
-		buildtools:build qmake:build
+		grantleetheme identitymanagement libkdepim libkleo messagelib \
+		mime pimcommon pimtextedit
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/deskutils/akonadiconsole/distinfo b/deskutils/akonadiconsole/distinfo
index 98a52e0f93eb..96d2c3804cbf 100644
--- a/deskutils/akonadiconsole/distinfo
+++ b/deskutils/akonadiconsole/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889440
-SHA256 (KDE/release-service/23.08.5/akonadiconsole-23.08.5.tar.xz) = 61c84dfa88bb81380df1645ee65672646b96c7b2ac544540228ff2b609bb2a9c
-SIZE (KDE/release-service/23.08.5/akonadiconsole-23.08.5.tar.xz) = 286164
+TIMESTAMP = 1734460036
+SHA256 (KDE/release-service/24.12.0/akonadiconsole-24.12.0.tar.xz) = bf0a7ca3571b36a52e493b8c3c87f3cd4f5245dd4df02cb9521d4c2148c1fb1e
+SIZE (KDE/release-service/24.12.0/akonadiconsole-24.12.0.tar.xz) = 313788
